Subject: Re: [Jmap] [JMAP] SMIME Attachments (was: Re: S/MIME for JMAP)

From: Alexey Melnikov <[email-masked]>
Date: Sun, 12 Nov 2017 12:19:27 +0800

On 29/10/2017 07:33, vaibhav singh wrote:
> 
> 
>        1. Re: [JMAP] SMIME Attachments (was: Re:  S/MIME for JMAP)
>           (Bron Gondwana)
> 
> 
>     ---------- Forwarded message ----------
>     From: Bron Gondwana <[email-masked]
>     <mailto:[email-masked]>>
>     To: [email-masked] <mailto:[email-masked]>
>     Cc: 
>     Bcc: 
>     Date: Thu, 26 Oct 2017 09:04:40 +1100
>     Subject: Re: [Jmap] [JMAP] SMIME Attachments (was: Re: S/MIME for JMAP)
>     __
>     If you want to use a JMAP server to pass opaque blobs, that works
>     fine.  Obviously things like hasAttachment aren't going to work,
>     because the opaque blob doesn't have an attachment.  The mail inside
>     may have an attachment, but the JMAP server doesn't know that.
> 
>     Since the same issue exists with IMAP, it sounds like maybe what
>     you're suggesting is an IANA registration of a keyword like
>     $HasEncryptedAttachment, which would allow multiple MUAs to share
>     that metadata.  Of course the server couldn't add it, so it would
>     only be present at the time the first MUA-with-keys connected and
>     downloaded the message to evaluate its contents.
> 
> 
> Yes, I can start the process for requesting " $HasEncryptedAttachment
> "be registered by IANA, in case nobody sees an issue with it.

Please do. I can help you offline, if you need help.

---

From: Josef 'Jeff' Sipek <[email-masked]>
Date: Mon, 13 Nov 2017 07:44:28 -0500

On Sun, Oct 29, 2017 at 13:03:28 +0530, vaibhav singh wrote:
> > From: Bron Gondwana <[email-masked]>
> > To: [email-masked]
> > Cc:
> > Bcc:
> > If you want to use a JMAP server to pass opaque blobs, that works fine.
> > Obviously things like hasAttachment aren't going to work, because the
> > opaque blob doesn't have an attachment.  The mail inside may have an
> > attachment, but the JMAP server doesn't know that.
> >
> > Since the same issue exists with IMAP, it sounds like maybe what you're
> > suggesting is an IANA registration of a keyword like
> > $HasEncryptedAttachment, which would allow multiple MUAs to share that
> > metadata.  Of course the server couldn't add it, so it would only be
> > present at the time the first MUA-with-keys connected and downloaded the
> > message to evaluate its contents.
> >
> 
> Yes, I can start the process for requesting " $HasEncryptedAttachment "be
> registered by IANA, in case nobody sees an issue with it.

Is the idea that $HasEncryptedAttachment would be set on S/MIME only emails?
Or PGP as well?  (RFC 3156 comes to mind)

Jeff.

-- 
I have always wished for my computer to be as easy to use as my telephone;
my wish has come true because I can no longer figure out how to use my
telephone.
		- Bjarne Stroustrup